Journal La première beta de digiKam 2 vient de sortir !

Posté par  (site Web personnel) .
Étiquettes :
19
5
jan.
2011
Bonjour (et bonne année) à tous,

La beta 1 du très attendu digiKam 2.0.0, l'excellent logiciel de gestion de photos, vient tout juste d'être mise à disposition sur http://www.digikam.org . Cette version était particulièrement attendue car elle intègre le travail des étudiants fait pendant le GSoC, avec les fonctionnalités suivante:
Vous aurez plus de détails (en anglais) ici: http://techbase.kde.org/Projects/Digikam/CodingSprint2010

et l'annonce officielle ici: http://www.digikam.org/drupal/node/561

Il ne faudra évidemment pas s'attendre à quelque chose de stable, mais justement les phases beta sont là pour essayer les logiciels et reporter les bogues.
Alors faites chauffer les compilos pour aider à améliorer ce logiciel de très grande qualité.
  • # Excellent !

    Posté par  . Évalué à 3.

    Les nouveautés sont vraiment de haut niveau !

    Digikam est la référence de la gestion de photos et ne risque pas d'être détronée !
    • [^] # Re: Excellent !

      Posté par  . Évalué à 2.

      Oui mais, sauf erreur de ma part, tellement de bugs affectant les dernières versions que Debian (même en instable) en est resté à la version 1.2.
      https://bugs.kde.org/component-report.cgi?product=digikam
      http://packages.debian.org/search?suite=sid&searchon=nam(...)
      Donc en Debian, même en experimental, on ne trouve la 1.7 que pour amd64.
      http://packages.debian.org/search?suite=experimental&sea(...)

      "L'art est fait pour troubler. La science rassure" (Braque)

      • [^] # Re: Excellent !

        Posté par  . Évalué à 5.

        Ce n'est pas lié aux versions de KDE?

        « Rappelez-vous toujours que si la Gestapo avait les moyens de vous faire parler, les politiciens ont, eux, les moyens de vous faire taire. » Coluche

      • [^] # Re: Excellent !

        Posté par  . Évalué à 5.

        Le probleme ne viendrait pas du fait que les versions de KDE (4.4) et Qt (4.5) sont trop vielles par rapport a la version 1.7 de digikam?
        • [^] # Re: Excellent !

          Posté par  . Évalué à 1.

          Je ne pense pas puisque du coté d'Ubuntu, Digikam-1.4 et 1.7 est disponible avec KDE-4.4
          http://packages.ubuntu.com/maverick/digikam
          http://packages.ubuntu.com/natty/digikam
          Les versions à partir de la 1.3 incluent l'option Mysql à la place de Sqlite et c'est ce qui m'intéresse.

          "L'art est fait pour troubler. La science rassure" (Braque)

          • [^] # Re: Excellent !

            Posté par  . Évalué à 2.

            Si tu regarde la version des dépendances, tu en a plusieurs semblables à libkdeui5 (>= 4:4.5.80). C'est donc bien un problème de version.

            « Rappelez-vous toujours que si la Gestapo avait les moyens de vous faire parler, les politiciens ont, eux, les moyens de vous faire taire. » Coluche

            • [^] # Re: Excellent !

              Posté par  . Évalué à 1.

              'C'est donc bien un problème de version. '
              Non pour Maverick/Digikam-1.4
              libkdeui5 (>= 4:4.4.4)
              Idem que chez Debian Squeeze (4.4.5-2)

              "L'art est fait pour troubler. La science rassure" (Braque)

              • [^] # Re: Excellent !

                Posté par  . Évalué à 2.

                mais libkdecore5 (>= 4:4.4.85) soit une bêta de kde 4.5

                « Rappelez-vous toujours que si la Gestapo avait les moyens de vous faire parler, les politiciens ont, eux, les moyens de vous faire taire. » Coluche

          • [^] # Re: Excellent !

            Posté par  . Évalué à 2.

            Maverick et Natty sont passe a KDE 4.5 et KDE 4.6rc1
      • [^] # Re: Excellent !

        Posté par  (site Web personnel) . Évalué à 2.

        De mon point de vue d'utilisateur, la 1.5.0 ne m'a jamais planté !
        • [^] # Re: Excellent !

          Posté par  . Évalué à 2.

          Sous kubuntu digikam 1.5 et 1.6 laisse un process ouvert meme lorsque tu quittes. La version 1.7 de Natty n'a pas ce bug.
  • # Tag ?

    Posté par  (site Web personnel) . Évalué à 3.

    Bonjour,

    Beau travail ! Félicitation à l'équipe qui bosse sur ce projet.

    Est-ce que les TAG sont les mêmes que ceux gérés par KDE/Nepomuk et qui apparaissent dans Dolphin ? Si c'est le cas ça peut devenir très puissant, par contre si c'est des bases de données séparées c'est dommage.

    --
    Syvolc
    • [^] # Re: Tag ?

      Posté par  (site Web personnel) . Évalué à 3.

      Je n'ai encore jamais pris (eu!) le temps de tester ça, mais j'ai un onglet Nepomuk avec 2 cases à cocher:

      - stocker les options dans Nepomuk
      - lire les metadonnées depuis Nepomuk
  • # Est-ce que le programme arrète de toucher au répertoire ?

    Posté par  . Évalué à 9.

    Les 3/4 des gestionnaires de photos veulent absolument gérer les fichiers eux-même en collant leur metadata à coté.

    C'est hyper chiant !

    Je fais de la photo numérique depuis 5 ans, les logiciels évoluent vite, mais mes anciennes photos, elles ne bougent pas ! Je n'ai donc pas envie que le programme les touchent sans mon accord.

    Quand est-ce que les développeurs se rendront compte que leur logiciel a une durée de vie largement inférieur aux fichiers gérés ? (en gros 6 mois, la durée de vie de la distrib pour une version de programme donné).

    Le top serait d'avoir sa base de photo, classé comme on veut, et le programme sauve ses meta-data ailleurs (même dans ~/.monprogram/ si il veut).

    "La première sécurité est la liberté"

  • # Reconnaissance faciale

    Posté par  . Évalué à 10.

    Pour mes photos classées dans un obscure sous-répertoire chiffré, c'est la reconnaissance fessiale qu'il me faut. C'est prévu ?
    Nan parce que là, je me paluche tout à la main :-)

    Une chose très appréciable, c'est le fait que ce logiciel tourne sur Linux et Windows (et d'autres dont je n'ai pas l'utilité). Vraiment c'est le top pour mettre les gens à l'aise progressivement avec le libre.
  • # Géolocalisation

    Posté par  . Évalué à 3.

    Sur les copies d'écran on voit que c'est GoogleMaps qui est utilisée.
    Est-ce la seule carte qui est utilisable ou OpenStreetMap l'est également ?
    • [^] # Re: Géolocalisation

      Posté par  (site Web personnel) . Évalué à 3.

      Sur ma version 1.7, j'ai le choix entre OpenStreetMap et l'atlas proposé par Marble. J'ai pas testé la version beta, mais je pense que l'on peut toujours utiliser OpenStreetMap.

      D'ailleurs dans le screenshot, il y encore le petit bouton qui permet de changer le fond de carte (celui qui est une Terre bleue en bas à gauche du cadre, mais c'est peu visible).

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n’en sommes pas responsables.